org.apache.fontbox.util.autodetect

## Class WindowsFontDirFinder

- java.lang.Object
- - org.apache.fontbox.util.autodetect.WindowsFontDirFinder

All Implemented Interfaces:
  FontDirFinder

    public class WindowsFontDirFinder
    extends Object
    implements FontDirFinder

FontFinder for native Windows platforms. This class is based on a class provided by Apache FOP. see org.apache.fop.fonts.autodetect.WindowsFontDirFinder

### Constructor Summary

Constructors
Constructor and Description
`WindowsFontDirFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<File>` `find()` Finds a list of font files.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsFontDirFinder

    public WindowsFontDirFinder()

### Method Detail

#### find

    public List<File> find()

Finds a list of font files.

Specified by:
  `find` in interface `FontDirFinder`
Returns:
  a list of detected font files